#include<stdio.h>
#include<math.h>
#include"SimpleImage.h"
#include"ppmio.h"

int main(int argc,char *argv[]){
  if(argc!=3){
    printf("Please use as ./a.out input.ppm output.pgm\n");
    return 0;
  }
  Image *inR = new Image();
  Image *inG = new Image();
  Image *inB = new Image();

  getPPM(inR,inG,inB,argv[1]);
  
  Image *outR = new Image(inR->sx,inR->sy);
  Image *outG = new Image(inR->sx,inR->sy);
  Image *outB = new Image(inR->sx,inR->sy);
  
  /* main processing */
  int i,j;
  
  /* Only Copy */
   for(i=0;i<inR->sy;i++)
    for(j=0;j<inR->sx;j++){
      outR->img[i][j] = inR->img[i][j];
      outG->img[i][j] = inG->img[i][j];
      outB->img[i][j] = inB->img[i][j];
      
    }
    /* End Copy */
  
  /*
  double threshold = 128.0;
  for(i=0;i<inR->sy;i++)
    for(j=0;j<inR->sx;j++){
      double val = (inR->img[i][j]+inG->img[i][j]+inB->img[i][j])/3.0;
      
      if(val>=threshold){
	outR->img[i][j] = inR->img[i][j];
	outG->img[i][j] = inG->img[i][j];
	outB->img[i][j] = inB->img[i][j];
	
      }else{
	outR->img[i][j] = 0.0;
	outG->img[i][j] = 0.0;
	outB->img[i][j] = 0.0;
	
      }
    }
  */


  /* end main processing */


   savePPM(outR,outG,outB,argv[2]);

  delete outR;
  delete outG;
  delete outB;
  
  delete inR;
  delete inG;
  delete inB;
  
  return 0;
}
